<?php

namespace Modules\Konfirmasibank\Entities;

use Spatie\Activitylog\LogOptions;
use Spatie\Activitylog\Traits\LogsActivity;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Account extends Model
{
    use HasFactory;

    protected $connection = 'db2';
    protected $table = 'STG_DB.ACCOUNT';
    protected $primaryKey = '@ID';

    //public $incrementing = false;

    protected $fillable = [
    "'CUSTOMER_NO',
    'MNEMONIC'
    'CATEGORY'"
    ];



   public function arrangement()
    {
        return $this->belongsTo(Arrangement::class, 'LINKED_APPL_ID');
    }




}