<?php

namespace Modules\Konfirmasibank\Entities;

use Spatie\Activitylog\LogOptions;
use Spatie\Activitylog\Traits\LogsActivity;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Arrangement extends Model
{
    use HasFactory;

    protected $connection = 'db2';
    protected $table = 'STG_DB.AA_ARRANGEMENT';
    protected $primaryKey = 'ID';

    //public $incrementing = false;

    protected $fillable = [
    "'CUSTOMER_NO',
    'LINKED_APPL_ID'
    'CUSTOMER',
    'CO_CODE',
    'PRODUCT',
    'BATCH_DATE',
    'PRODUCT_LINE',
    'ARR_STATUS',
    'BATCH_DATE'"
    ];


    //  public function accounts(){
    // 	 return $this->hasMany('Modules\Konfirmasibank\Entities\Account');
    // }

//     public function accounts(): belongsTo
// {
//     return $this->belongsTo('Modules\Konfirmasibank\Entities\Account', 'ACCOUNT_NUMBER');
// }



    public function account(): BelongsTo
    {
        return $this->belongsTo(Account::class, 'ACCOUNT_NUMBER');
    }


}