<?php

namespace Modules\Konfirmasibank\Entities;

use Spatie\Activitylog\LogOptions;
use Spatie\Activitylog\Traits\LogsActivity;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Fasilitas extends Model
{
    use HasFactory;

    protected $primaryKey = 'id';

    //public $incrementing = false;

    protected $fillable = [
    "'id',
    'nomor_rekening'
    'jenis_fasilitas',
    'saldo',
    'start_date',
    'due_date',
    'jangka_waktu',
    'fixed_rate',
    'keterangan'"
    ];


}