<?php

namespace Modules\Konfirmasibank\Entities;

use Spatie\Activitylog\LogOptions;
use Spatie\Activitylog\Traits\LogsActivity;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class TermAmount extends Model
{
    use HasFactory;

    protected $connection = 'db2';
    protected $table = 'STG_DB.AA_ARR_TERM_AMOUNT';
    protected $primaryKey = 'ID';

    //public $incrementing = false;

    protected $fillable = [
    "'ID',
    'TERM'
    'AMOUNT',"
    ];


    public function customers(): BelongsTo
    {
        return $this->belongsTo(Customer::class, 'CUSTOMER_NO');
    }


}