<x-default-layout>
       @php
        $route = explode('.', Route::currentRouteName());
    @endphp
    <!--begin::Card-->
    <div class="card card-xxl-stretch mb-5 mb-xl-8">
        <!--begin::Card body-->
        <div class="card-header border-0 pt-5">
            <div class="card-title align-items-start flex-column">
                <div class="d-flex align-items-center position-relative my-1">
                    <span>&nbsp;No CIF :&nbsp;</span><input type="text" id="cif"
                           class="form-control form-control-solid border border-gray-300 w-200px ps-15" name="cif"
                           placeholder="No Cif" >

                     <span>&nbsp;Kode Cabang :&nbsp;</span><input type="text" id="kodeCabang"
                           class="form-control form-control-solid border border-gray-300 w-200px ps-15" name="kodeCabang"
                           placeholder="Kode Cabang">

                    <span>&nbsp;Periode :&nbsp;</span><input type="number" id="periode" min="{{date('Y')}}" max="{{date('Y') + 3 }}"
                           class="form-control form-control-solid border border-gray-300 w-200px ps-15 ml-10"
                           placeholder="Periode">
                     &nbsp; <button type="button" id="btnSearch" class="btn btn-light-primary"><i class="search fs-2"><span class="path1"></span><span class="path2"></span></i>Cari</button>
                      &nbsp;
                </div>

            </div>

            <div class="card-toolbar">
                <!--begin::Export dropdown-->
                <form class="form_customer2" method="POST" action="{{ route($route[0] . '.export') }}">
                    @csrf
                    <div class="d-flex flex-column mb-8 fv-row">
                        <input type="hidden" style="margin-bottom: 5px" name="cus_no" id="acc_no2" />
                        <input type="hidden" style="margin-bottom: 5px" name="acc_no" />
                        <input type="hidden" style="margin-bottom: 5px" name="kode_cabang" />
                        <input type="hidden" style="margin-bottom: 5px" name="periode" />
                        <div class="text-right d-flex justify-content-end">
                            {{-- <a href="#" class="btn btn-secondary search">Cari</a> --}}
                            <button type="submit" class="btn btn-light-primary exportPdf">
                                <i class="ki-duotone ki-exit-down fs-2"><span class="path1"></span><span
                                        class="path2"></span></i>
                                Export Report
                            </button>
                        </div>
                    </div>
                </form>


                {{-- <!--begin::Hide default export buttons-->
                <div id="kt_datatable_example_buttons" class="d-none"></div>
                <!--end::Hide default export buttons--> --}}

            </div>
        </div>
        <div class="card-body pt-6">
             <div class="form-check d-flex justify-content-end">
                <input class="form-check-input" type="checkbox" value=""  id="selectAll" />
                <label class="form-check-label" style="margin-left:5px">
                    Check All
                </label>
            </div>
            @include('konfirmasibank::_table')
        </div>
        <!--end::Card body-->
    </div>
    <!--end::Card-->
</x-default-layout>
