<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('', function (Blueprint $table) {
            Schema::create('fasilitas', function (Blueprint $table) {
            $table->id();
            $table->string('nomor_cif');
            $table->string('nomor_rekening');
            $table->string('jenis_fasilitas');
            $table->string('saldo');
            $table->string('start_date');
            $table->string('due_date');
            $table->string('jangka_waktu');
            $table->string('fixed_rate');
            $table->string('keterangan');
            $table->string('status', 1)->default('1');
            $table->timestamps();
            $table->softDeletes();
            $table->unsignedBigInteger("created_by")->nullable();
            $table->unsignedBigInteger("updated_by")->nullable();
            $table->unsignedBigInteger("deleted_by")->nullable();
            });

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
         Schema::dropIfExists('fasilitas');
    }
};
