<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('signers', function (Blueprint $table) {
                $table->id();
                $table->string('nomor_cif');
                $table->string('deputy_director_name');
                $table->string('executive_officer_name');
                $table->string('keterangan');
                $table->string('status', 1)->default('1');
                $table->timestamps();
                $table->softDeletes();
                $table->unsignedBigInteger("created_by")->nullable();
                $table->unsignedBigInteger("updated_by")->nullable();
                $table->unsignedBigInteger("deleted_by")->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('signers');
    }
};