<?php

namespace Modules\Konfirmasibank\Entities;

use Spatie\Activitylog\LogOptions;
use Spatie\Activitylog\Traits\LogsActivity;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class LimitReference extends Model
{
    use HasFactory;

    protected $connection = 'db2';
    protected $table = 'STG_DB.LIMIT_REFERENCE';
    protected $primaryKey = 'ID';

    //public $incrementing = false;

    protected $fillable = [
    "'ID',
    'DESC_NAME'
    'SHORT_NAME',
    'REDUCING_LIMIT',
    'LIMIT_MNEMONIC',
    'LIMIT_PERCENTAGE',
    'DESCRIPTION',
    'BATCH_DATE',
    'INSERT_DATE'"
    ];



}