<?php

namespace Modules\Konfirmasibank\Entities;

use Spatie\Activitylog\LogOptions;
use Spatie\Activitylog\Traits\LogsActivity;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Support\Facades\DB;


class ViewCustomer extends Model
{
    use HasFactory;

    protected $connection = 'oracle';
    protected $table = 'T24DWH.V_CUSTOMER';
    protected $primaryKey = 'CUSTOMER_CODE';

    //public $incrementing = false;

    protected $fillable = [
        "'CUSTOMER_CODE',
        'CUSTOMER_NAME',
        'CUSTOMER_TYPE'"
    ];





}